[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMap.Find

Find item based on key

## Declaration

Source position: fgl.pp line 325

`public function TFPGMap.Find(`
`const AKey: TKey;`
`out Index: Integer`
`):Boolean;`

## Arguments

`AKey` |  | Key to search for.
`Index` |  | Index of found key

## Function result

True if an exact match for AKey was found.

## Description

Find will search the key equal to AKey and return its index in AIndex. The return value of the function is True if an exact match for AKey is found, False otherwise.

The behaviour of Find is undefined if the map is not sorted. For unsorted maps, use IndexOf instead.

## See also

TFPGMap.IndexOf |  | Find index of a key in the list.
TFPGMap.IndexOfData |  | Find index of data value in the list.